Package org.freeplane.core.util

# Class MenuUtils.MenuEntry

java.lang.Object
org.freeplane.core.util.MenuUtils.MenuEntry

Enclosing class:
  MenuUtils

public static class MenuUtils.MenuEntry extends Object
The userObject type for createMenuEntryTree().

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MenuEntry(String key, String label, Icon icon, KeyStroke keyStroke, String toolTipText)`
  `MenuEntry(String label, Icon icon)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Icon`
  `getIcon()`
  `String`
  `getKey()`
  `KeyStroke`
  `getKeyStroke()`
  `String`
  `getLabel()`
  `String`
  `getToolTipText()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MenuEntry

    public MenuEntry(String key, String label, Icon icon, KeyStroke keyStroke, String toolTipText)

  - ### MenuEntry

    public MenuEntry(String label, Icon icon)

- ## Method Details

  - ### getKey

    public String getKey()

  - ### getLabel

    public String getLabel()

  - ### getKeyStroke

    public KeyStroke getKeyStroke()

  - ### getToolTipText

    public String getToolTipText()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getIcon

    public Icon getIcon()